> ## Documentation Index
> Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chatbot

> Get one chatbot.

Required scope: `chatbots:read`.

On success, `data` contains: `chatbot`.



## OpenAPI

````yaml https://sitegpt.ai/api/v2/openapi.json get /api/v2/chatbots/{chatbotId}
openapi: 3.1.0
info:
  title: SiteGPT Agent API
  version: 2.0.0
  description: >-
    Agent-facing API for managing SiteGPT chatbots, dashboard summaries,
    appearance media, knowledge, settings, conversations, leads, members,
    account profiles, usage, billing reads, and API tokens.
servers:
  - url: https://sitegpt.ai
security:
  - bearerAuth: []
tags:
  - name: Discovery
  - name: Onboarding
  - name: Account
  - name: Billing
  - name: Tokens
  - name: Chatbots
  - name: Knowledge
  - name: Knowledge Sync Jobs
  - name: Knowledge Sources
  - name: Custom Responses
  - name: Personas
  - name: Instructions
  - name: Settings
  - name: Conversation Starters
  - name: Conversation Followups
  - name: Members
  - name: Leads
  - name: Conversations
  - name: Messages
  - name: Tags
paths:
  /api/v2/chatbots/{chatbotId}:
    get:
      tags:
        - Chatbots
      summary: Get chatbot
      description: |-
        Get one chatbot.

        Required scope: `chatbots:read`.

        On success, `data` contains: `chatbot`.
      operationId: getChatbot
      parameters:
        - name: chatbotId
          in: path
          required: true
          description: Chatbot ID.
          schema:
            type: string
      responses:
        '200':
          description: Successful SiteGPT API v2 response.
          content:
            application/json:
              schema:
                type: object
                required:
                  - ok
                  - data
                  - meta
                properties:
                  ok:
                    type: boolean
                    const: true
                  data:
                    type: object
                    additionalProperties: true
                    properties:
                      chatbot:
                        $ref: '#/components/schemas/Chatbot'
                  meta:
                    $ref: '#/components/schemas/AgentResponseMeta'
                additionalProperties: false
              example:
                ok: true
                data:
                  chatbot:
                    id: chatbot-id
                    name: Example chatbot
                    createdAt: '2026-05-13T00:00:00.000Z'
                meta:
                  requestId: request-id
        '400':
          $ref: '#/components/responses/AgentError'
        '401':
          $ref: '#/components/responses/AgentError'
        '403':
          $ref: '#/components/responses/AgentError'
        '404':
          $ref: '#/components/responses/AgentError'
        '405':
          $ref: '#/components/responses/AgentError'
      security:
        - bearerAuth:
            - chatbots:read
components:
  schemas:
    Chatbot:
      type: object
      description: A chatbot as serialized for the agent API.
      additionalProperties: true
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        createdBy:
          type: object
          additionalProperties: false
          properties:
            id:
              type: string
            email:
              type: string
        quotas:
          type: object
          additionalProperties: false
          properties:
            pagesQuota:
              type:
                - integer
                - 'null'
            combinedMessagesQuota:
              type:
                - integer
                - 'null'
            gpt4Share:
              type:
                - number
                - 'null'
            membersQuota:
              type:
                - integer
                - 'null'
        counts:
          type: object
          additionalProperties: false
          properties:
            suggestions:
              type: integer
            nextSuggestions:
              type: integer
            tags:
              type: integer
            personas:
              type: integer
            prompts:
              type: integer
        connectedIntegrations:
          type: array
          items:
            type: string
        settings:
          type: object
          description: Safe subset of chatbot settings. Null means the setting is unset.
          additionalProperties: true
          properties:
            isDisabled:
              type:
                - boolean
                - 'null'
            mode:
              type:
                - string
                - 'null'
            gptModel:
              type:
                - string
                - 'null'
            creativity:
              type:
                - number
                - 'null'
            welcomeMessage:
              type:
                - string
                - 'null'
            placeholderText:
              type:
                - string
                - 'null'
            fallbackMessage:
              type:
                - string
                - 'null'
            collectUserDetails:
              type: string
              description: Effective lead-collection mode, for example DO_NOT_COLLECT.
            collectUserData:
              type:
                - boolean
                - 'null'
            enablePageContextAwareness:
              type:
                - boolean
                - 'null'
            hideSources:
              type:
                - boolean
                - 'null'
            supportEmail:
              type:
                - string
                - 'null'
            humanSupportEnabled:
              type:
                - boolean
                - 'null'
            leadCollectionEnabled:
              type:
                - boolean
                - 'null'
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
    AgentResponseMeta:
      type: object
      required:
        - requestId
      properties:
        requestId:
          type: string
        warnings:
          type: array
          items:
            type: string
        nextCursor:
          type:
            - string
            - 'null'
      additionalProperties: true
    AgentError:
      type: object
      required:
        - ok
        - error
        - meta
      properties:
        ok:
          type: boolean
          const: false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: false
        meta:
          type: object
          required:
            - requestId
          properties:
            requestId:
              type: string
          additionalProperties: true
      additionalProperties: false
  responses:
    AgentError:
      description: SiteGPT agent API error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AgentError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: SiteGPT API token

````